import { Subject } from './libs';
const execa = require('execa');
export function run(command, options = {}) {
    return invoke(command, options);
}
export function run$(command) {
    const subject = new Subject();
    const child = invoke(command, { silent: true });
    const next = (data, isError) => subject.next({
        text: data.toString(),
        isError,
    });
    child.stdout.on('data', (data) => next(data, false));
    child.stderr.on('data', (data) => next(data, true));
    return subject;
}
function invoke(cmd, options = {}) {
    const { silent = false } = options;
    const promise = execa.shell(cmd);
    if (!silent) {
        promise.stdout.pipe(process.stdout);
    }
    return promise;
}
export async function inNewTab(cmd, path) {
    const command = `osascript -e '
    if application "iTerm" is running then
      tell application "iTerm"
          tell current window
              create tab with default profile
              tell current session
                  write text "cd ${path} && clear && ${cmd}"
              end tell
          end tell
      end tell
    else
        activate application "iTerm"
    end if
  '`;
    return run(command, { silent: true });
}
