import * as constants from './constants';
import { R } from './libs';
export const compact = (value) => R.pipe(R.reject(R.isNil), R.reject(R.isEmpty))(value);
export function toGroupedCommands(commands) {
    const commandList = Object.keys(commands).map(key => commands[key]);
    const groups = R.uniq(commandList.map(cmd => cmd.group || constants.DEFAULT_GROUP)).sort();
    const grouped = { __default__: {} };
    groups.forEach(group => (grouped[group] = {}));
    groups.forEach(group => {
        const isInGroup = (cmd) => (cmd.group || constants.DEFAULT_GROUP) === group;
        const groupCommands = R.sortBy(R.prop('name'), commandList.filter(isInGroup));
        groupCommands.forEach(cmd => (grouped[group][cmd.name] = cmd));
    });
    return grouped;
}
